2002-05-09  Steve Youngs  <youngs@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.35 released.

2002-05-07  Ville Skyttä  <ville.skytta@xemacs.org>

	* Makefile (REQUIRES): Add fsf-compat.
	* Makefile (PRELOADS): Removed.

2002-03-28  Steve Youngs  <youngs@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.34 released (previous
	version had bad md5).

2002-03-25  Steve Youngs  <youngs@xemacs.org>

	* Makefile (VERSION): 1.33 released.

2002-03-04  Vaclav Barta  <vbar@comp.cz>

        * lisp/jde.el (jde-save-close-buffer): use get-file-buffer to map
	pathname to buffer.
	(jde-save-variable): Ditto.

2002-03-16  Steve Youngs  <youngs@xemacs.org>

	* doc/html/jde-ug/images/JdeMenu.gif: Removed.

	* doc/html/jde-ug/images/KeyBindings.gif: Re-committed because
	the file was corrupt.

	* doc/html/jde-ug/images/Keybindings.gif: Removed.

2001-12-13  Jan Vroonhof  <jan@xemacs.org>

	* lisp/jde-import.el: require 'semantic-util

2001-10-14  Andy Piper  <andy@xemacs.org>

	* Sync to 2.2.8
	
2001-08-16  Steve Youngs  <youngs@xemacs.org>

	* Makefile (ELCS): Add missing elcs remove obsolete.

	* senator-isearch.el: Moved to semantic package.

	* senator.el: Removed.  It's in the semantic package.

	* setnu.el: Moved to edit-utils package.

	* Sync to 2.2.7.1

2001-06-18  Ben Wing  <ben@xemacs.org>

	* Makefile (PRELOADS):
	Fix to compile in the absence of an installed package tree.

2001-02-21  Steve Youngs  <youngs@xemacs.org>

	* lisp/jde-java-grammar.el: Add (require 'semantic)

2001-02-20  Steve Youngs  <youngs@xemacs.org>

	* Makefile (REQUIRES): Remove senator, it's part of semantic.

2001-02-19  Steve Youngs  <youngs@xemacs.org>

	* Makefile (ELCS): Fix a couple of typos.

2001-02-17  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde.el:
	- Fixed regression bug in context-switching that resulted from setting
	  jde-current-project to the path of the current prj.el file.

	- No longer expand classpaths to avoid expanding relative path (.) notation.

2001-02-16  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-widgets.el:
	Added (require 'cl) to enable batch compile.

2001-02-09  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-java-font-lock.api: Initial revision.

2001-02-04  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/ReleaseNotes.txt: *** empty log message ***

2001-02-04  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-help.el:
	Changed declaration of customized variables to permit completion of paths.

2001-02-03  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-db.el:
	Changed declaration of customized variables to allow path completion.
	Now allows environment variables in jde-db-source-directories.

	* /pack/anoncvs/jde/lisp/jde-run.el:
	Changed declaration of customized variables so you can use completion on path variables.

	* /pack/anoncvs/jde/lisp/jde-compile.el:
	Changed declarations of customized variables so that you can now use completion (M tab) to complete path names.

	* /pack/anoncvs/jde/lisp/jde.el:
	Changed declarations for all path variables from string to file. This means that you can now use completion (M tab) to complete paths in customization buffers.

	* /pack/anoncvs/jde/lisp/beanshell.el:
	Now uses jde-build-classpath to build BeanShell classpath. This allows enviromnent variables in the classpath.

	* /pack/anoncvs/jde/lisp/jde.el:
	Made quote argument optional in jde-build-path-arg and jde-build-classpath-arg.

	* /pack/anoncvs/jde/lisp/jde-run.el:
	Now uses jde-build-classpath instead of jde-run-build-classpath to build classpath argument.

	* /pack/anoncvs/jde/lisp/jde-db.el:
	Now uses generalized jde-build-classpath function to build classpath argument to debugger.

2001-02-01  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/ReleaseNotes.txt, /pack/anoncvs/jde/lisp/jde-run.el:
	*** empty log message ***

2001-02-01  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/ReleaseNotes.txt, /pack/anoncvs/jde/lisp/jde-run.el:
	*** empty log message ***

2001-01-27  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-javadoc-gen.el:
	No longer inserts -sourcepath argument twice in the javadoc command line.

	* /pack/anoncvs/jde/lisp/jde-javadoc.el: Enhancements from David Ponce:

	- Improved `jde-javadoc-start-tag-regexp' and
	  `jde-javadoc-end-tag-regexp' regular expressions which fix little
	  problems when parsing javadoc tags.  These regexps enforce the
	  following rule (from JDK 1.3 documentation "javadoc - The Java API
	  Documentation Generator" - Chapter "DOCUMENTATION COMMENTS" -
	  "Standard and in-line tags":


	  "[...] a standard tag must appear at the beginning of a line,
	  ignoring leading asterisks, white space and comment separator
	  (/**). This means you can use the @ character elsewhere in the text
	  and it will not be interpreted as the start of a tag. If you want to
	  start a line with the @ character and not have it be interpreted,
	  use the HTML entity @. [...]"


	- `jde-javadoc-checker-report-mode' now turns on `font-lock-mode'.
	  This is useful in XEmacs which don't have a `global-font-lock-mode'.


	- Filling of messages in `jde-javadoc-checker-show-report' now works
	  with XEmacs too.

2001-01-25  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-java-grammar.el:
	Changed the definition of formal_parameter_list to improve performance (less
	backtracking) when parsing parameters in method and constructor
	declarations. Thanks to David Ponce.

	* /pack/anoncvs/jde/lisp/ReleaseNotes.txt: Updating for JDE 2.2.7

	* /pack/anoncvs/jde/lisp/jde-complete.el:
	Completion now asks user whether to import a class that it cannot find. Thanks to Phillip Lord.

2001-01-23  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-dbs.el:
	Removed typo from jde-dbs-proc-set-find.

2001-01-19  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-gen.el:
	Adds cflow expansions for try, catch, and finally. Thanks to Venkatesh Prasad Ranganath <rvprasad@ksu.edu> for these expansions.

2001-01-17  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-java-font-lock.el:
	Font-locking improvements from David Ponce

	   - You can now fontify user-defined identifiers with the new
	    jde-java-font-lock-api-face.  These identifiers are read in the
	    file specified by the `jde-java-font-lock-api-file' option.

	    The JDE provides a default file "jde-java-font-lock.api" to fontify class
	    names of the core 'java' and 'javax' packages (JDK 1.3) and servlet
	    API (JSDK 2.0).  To enable this fontification just put this file on
	    your home directory, maybe modify it to suit your needs and execute
	    the command:

	       M-x jde-java-font-lock-setup-keywords (or restart Emacs).

	    To improve reloading a cache file of regular expressions matching
	    these names is created in the same directory (see the source for
	    more details).

	  - Because the 'const' and 'goto' keywords are reserved, but not
	    currently used they are now fontified with `font-lock-warning-face'.

	  - The 'default' keyword is now fontified with
	    `font-lock-keyword-face'.  This was suggested by Stephane Nicolas
	    s.nicolas@videotron.ca>.

	* /pack/anoncvs/jde/lisp/java.bnf:
	Changed the definition of formal_parameter_list to improve performance (less
	backtracking) when parsing parameters in method and constructor
	declarations. Thanks to David Ponce.

2001-01-16  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde.el:
	Adds jde-abbrev-mode and jde-show-abbrev commands. Thanks to s.nicolas@videotron.ca.

2001-01-06  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jtags, /pack/anoncvs/jde/lisp/jtags.csh:
	Add "\." below to the definition of class_type so
	that methods whose return type included a period (e.g, Foo.Bar)
	were tagged:

	  class_type="\<\([$capital][a-zA-Z_$digit\.]*\)\>"

	Thanks to Charles Rich <rich@merl.com>

	* /pack/anoncvs/jde/lisp/jde-dbs.el:
	Fixed regression bug caused by reimplementation of the cygpath conversion function.

2001-01-05  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-parse.el:
	Removed old version of jde-parse-get-class-at-point.

2001-01-03  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-parse.el:
	Fixes infinite recursion bug in jde-parse-update-after-parse when creating a new file.

2000-12-25  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde.el:
	* Adds jde-cygwin-path-converter variable.

	* Adds support for environment variable substitution in class and sourcepaths.

2000-12-23  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jtags, /pack/anoncvs/jde/lisp/jtags.csh:
	(1) Added "-l none" to the etags arguments (all four calls) to
	eliminate the additional spurious tags that were coming from etags'
	default java parsing:

	    ${etags_dir}etags -l none -a -o ${java_dir}/TAGS \

	(2) Added "\/" to the prohibited characters at the start of class2,
	method1 and method2 to prevent comment lines like

	// this is a nice interface for catching mice

	getting tagged:

	    class2="/^[^.*\/]*\($modifier$ws*\)*\<\(class\|interface\)\>$ws*$identifier/\7/"

	Thanks to Charles Rich <rich@merl.com>  for these improvements.

2000-12-21  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-wiz.el:
	Changed jde-wiz-insert-imports to jde-import-insert-imports to reflect recent repackaging scheme.

2000-12-19  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/makefile:
	Adds a variable EMACS that lets you specify the path of the Emacs executable used to
	compile the JDE files. Thanks to Sam Steingold <sds@gnu.org>.

	* /pack/anoncvs/jde/lisp/jde-complete.el:
	Fixed popup completion menu to work on XEmacs. Thanks to David Ponce for providing this fix.

2000-12-18  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-parse.el, /pack/anoncvs/jde/lisp/jde-project.el, /pack/anoncvs/jde/lisp/jde-widgets.el, /pack/anoncvs/jde/lisp/jde-wiz.el, /pack/anoncvs/jde/lisp/jde.el, /pack/anoncvs/jde/lisp/ReleaseNotes.txt, /pack/anoncvs/jde/lisp/jde-bug.el, /pack/anoncvs/jde/lisp/jde-db.el, /pack/anoncvs/jde/lisp/jde-dbs.el, /pack/anoncvs/jde/lisp/jde-gen.el, /pack/anoncvs/jde/lisp/jde-java-font-lock.el, /pack/anoncvs/jde/lisp/jde-javadoc.el:
	*** empty log message ***

2000-12-10  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde.el: Added jde-compile-jde.

2000-11-27  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-project.el: New file.

	* /pack/anoncvs/jde/lisp/jde-which-method.el, /pack/anoncvs/jde/lisp/jde-wiz.el, /pack/anoncvs/jde/lisp/jde.el, /pack/anoncvs/jde/lisp/jde-import.el, /pack/anoncvs/jde/lisp/jde-javadoc.el, /pack/anoncvs/jde/lisp/jde-parse.el, /pack/anoncvs/jde/lisp/ReleaseNotes.txt, /pack/anoncvs/jde/lisp/jde-imenu.el:
	Miscellaneous bug fixes and minor enhancements.

	* /pack/anoncvs/jde/lisp/jde-widgets.el:
	Added an experimental jde-widget-option-tree widget.

2000-11-20  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-wiz.el, /pack/anoncvs/jde/lisp/jde.el, /pack/anoncvs/jde/lisp/jde-import.el:
	Added jde-import-organize command. Moved all import-related code from
	jde-wiz.el to a new package named jde-import.el.

2000-11-18  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-bug.el:
	Fixed bug in jde-bug-remove-breakpoint-highlight.

2000-11-17  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-wiz.el:
	jde-wiz-update-class-list now uses the current jde-global-classpath when building the class list. This eliminates the need to restart the beanshell when switching projects.

2000-11-16  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-wiz.el:
	Fixed problem in jde-sort-imports command. The problem was that jde-sort-imports temporarily defined sort-fold-case just before invoking sort-lines. Invoking sort-lines caused the sort package to be loaded. Since sort-fold-case is already defined, the sort package did not bother to define it. Then sort-lines returns to jde-sort-lines which proceeded to destroy the temporary copy of sort-fold-case. The fix is to have jde-sort-lines require the sort package before invoking sort-lines.

	* /pack/anoncvs/jde/lisp/jde-wiz.el:
	Adds jde-wiz-kill-extra-imports command contributed by David Ponce.

	* /pack/anoncvs/jde/lisp/jde-bug.el:
	Fixed bug that caused highlight not to be removed from breakpint.

2000-10-25  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-parse.el:
	Changed jde-auto-parse-disable-threshold to jde-auto-parse-max-buffer-size.

	* /pack/anoncvs/jde/lisp/jde-wiz.el:
	Updated sort import function to reflect new bovinator syntax.

	* /pack/anoncvs/jde/lisp/jde-parse.el:
	Moved code generated by the semantic bovinator to jde-java-grammar.el.

	* /pack/anoncvs/jde/lisp/java.bnf:
	Modified to reflect new location of generated files.

	* /pack/anoncvs/jde/lisp/jde-java-grammar.el: Initial revision.

	* /pack/anoncvs/jde/lisp/java.bnf:
	David Ponce's fixes for various semantic-list matching
	problems. For example, this caused the parser to find a variable
	declaration for a method declaration like the following:

	  [modifiers] type name(..., any_occurence_of[], ...);

	* /pack/anoncvs/jde/lisp/jde-javadoc.el: Enhancements from David Ponce:

	* It is now possible to check javadoc comments only for tokens with a
	  specified access level. The new `jde-javadoc-checker-level' option
	  defines the accessibility level to check.

	  Only 'type, 'function or 'variable tokens with this level will be
	  checked. The level is defined to be consistent with the javadoc show
	  options. That is:

	  - - public    - check only public classes and members.
	  - - protected - check only protected and public classes and
	                  members. This is the default.
	  - - package   - check only package, protected, and public classes
	                  and members.
	  - - private   - check all classes and members.

	  If a token is included in other ones its access level is the lowest
	  one found in the hierarchy.

	  Using `jde-javadoc-checkdoc-at-line' it is always possible to check
	  any token regardless of its access level.

	* Changed '[u]-update' action by more appropriate '[f]-try to fix' in
	  the checker report dialog.

	* Changed message "Invalid tag order, must be ..." by
	  "Recommended tag order is ...".

	* /pack/anoncvs/jde/lisp/jde-dbs.el:
	Added a new variable, jde-bug-sio-connect-delay.

	  This variable specifies the length of time in seconds
	  that the JDE waits before attempting to connect to the
	  debuggee application's standard I/O. This delay
	  is intended to give JDEbug time to create the
	  SIO socket. Previously, the JDE would attempt to
	  connect immediately, possibly before JDEbug had time
	  to create a socket for the standard I/O. This might
	  explain the launch command timeout failures that some users have
	  experienced, especially on Windows/NT.

	* /pack/anoncvs/jde/lisp/jde-complete.el:
	Fixed bug where the completion function was completing symbols that it could not find with the results of the previous completion.

2000-10-22  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde.el: Add a Documentation submenu.

	* /pack/anoncvs/jde/lisp/jde-javadoc.el:
	Add menu enabler for javadoc commands.

2000-10-20  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde.el, /pack/anoncvs/jde/lisp/jde-which-method.el:
	*** empty log message ***

	* /pack/anoncvs/jde/lisp/jde-run.el:
	Fix that allows the JDE to be used with NT/XEmacs.

	* /pack/anoncvs/jde/lisp/jde-parse.el:
	Now uses generalized version of classes menu shipped with
	semantic. Thanks to David Ponce and Eric Ludlam.

	* /pack/anoncvs/jde/lisp/jde-javadoc.el: Enhancements from David Ponce.

	* /pack/anoncvs/jde/lisp/jde-javadoc-gen.el, /pack/anoncvs/jde/lisp/jde-imenu.el:
	Initial version.

	* /pack/anoncvs/jde/lisp/jde-complete.el:
	Now uses semantic for some functions. Thanks to David Ponce.

	* /pack/anoncvs/jde/lisp/java.bnf: *** empty log message ***

2000-10-12  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde.el: *** empty log message ***

2000-10-10  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-java-font-lock.el:
	Fixed some XEmacs compatibility problems.

	* /pack/anoncvs/jde/lisp/jde-which-method.el:
	Moved some which method customization variables into the which method customization group.

	* /pack/anoncvs/jde/lisp/jde-db.el:
	Fixed bug where selecting Other and Executable as the debugger results in the executable name being inserted twice.

2000-10-08  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/imenu.el, /pack/anoncvs/jde/lisp/jde.el, /pack/anoncvs/jde/lisp/jde-complete.el, /pack/anoncvs/jde/lisp/jde-db.el, /pack/anoncvs/jde/lisp/jde-help.el, /pack/anoncvs/jde/lisp/jde-javadoc.el, /pack/anoncvs/jde/lisp/jde-parse.el, /pack/anoncvs/jde/lisp/jde-run.el, /pack/anoncvs/jde/lisp/jde-which-method.el, /pack/anoncvs/jde/lisp/jde-wiz.el, /pack/anoncvs/jde/lisp/ReleaseNotes.txt, /pack/anoncvs/jde/lisp/beanshell.el:
	*** empty log message ***

	* /pack/anoncvs/jde/lisp/jde-java-font-lock.el: Initial revision.

2000-10-06  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-which-method.el:
	Now optionally truncates method name. Thanks to klaus.berndl@sdm.de. Also, moves method name after point location display in mode line.

2000-09-30  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-complete.el:
	Use imenu to display completion choices. Thanks to David Ponce.

	* /pack/anoncvs/jde/lisp/jde-gen.el:
	Correct type in jde-gen-cflow-enable.

2000-09-24  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-wiz.el:
	Now sorts import list after adding an import. To disable this feature, set jde-auto-sort-imports off. Thanks to "Jason Stell" <Jason.Stell@globalone.net>

2000-09-23  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-bug.el:
	Fixed bug in jde-bug-clear-breakpoint command where the command was off by a line. Thanks to Stan Lanning <lanning@pobox.com> for providing this fix.

	* /pack/anoncvs/jde/lisp/jde-javadoc.el:
	Adds jde-javadoc-command-path and jde-javadoc-display-doc variables. Thanks to "Jason Stell" <Jason.Stell@globalone.net> for providing the initial version of these changes.

2000-09-21  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-run.el:
	Updates jde-run-applet to work with the appletviewer in JDK 1.3.

	* /pack/anoncvs/jde/lisp/jde-dbs.el:
	Now include jde-run.el when compiling to get the definition for save-w32-show-window macro.

	* /pack/anoncvs/jde/lisp/jde-compile.el:
	Fixes bug in formatting jde-compile-option-vm-args for the command line.

2000-09-12  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/makefile:
	Replaced old distributable makefile with new makefile for compiling
	JDE lisp files.

2000-09-07  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-gen.el:
	Tweaked get-set pair template to indent correctly. Thanks to Lou Aloia <xlxa@rims.com> for this fix.

2000-09-05  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde.el: Bug fixes.

	* /pack/anoncvs/jde/lisp/jde-dbs.el:
	Fixed jde-dbs-debugger-display-message.

	* /pack/anoncvs/jde/lisp/jde-parse.el: Bug fixes

	* /pack/anoncvs/jde/lisp/jde-which-method.el: Fixed a number of bugs.

2000-09-04  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-which-method.el:
	Added test for existence of method map.

2000-08-31  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-parse.el:
	* Now creates a binary tree, jde-parse-method-map, listing the
	locations of all methods in the source buffer.

	* Now parses the source buffer 30 seconds after a change.

	* /pack/anoncvs/jde/lisp/jde-which-method.el: Initial revision.

	* /pack/anoncvs/jde/lisp/jde-widgets.el:
	Fixed bug on XEmacs where the Cancel button overwrote the OK button in the standard dialog class.

2000-08-19  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-complete.el:
	Flushes cache at end of compilation.

	* /pack/anoncvs/jde/lisp/jde-compile.el: Adds compile finish hook.

	* /pack/anoncvs/jde/lisp/jde-run.el: Changed variable name.

	* /pack/anoncvs/jde/lisp/jde-setnu.el: Initial revision.

	* /pack/anoncvs/jde/lisp/jde.el:
	Control flow abbreviations now optional.

	* /pack/anoncvs/jde/lisp/jde-db.el:
	Updated to handle JDK 1.3 version of jdb. Source pointer now moves to
	current location in current stack frame.

	* /pack/anoncvs/jde/lisp/jde-javadoc.el:
	Don't quote class names in javadoc command.

	* /pack/anoncvs/jde/lisp/java.bnf:
	Changed regular expressions for modifiers to match whole words.

	* /pack/anoncvs/jde/lisp/jde-gen.el:
	Adds jde-gen-cflow-enable variable.

2000-08-16  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-parse.el:
	Set case-fold-search to nil to ensure case sensitivity when parsing buffer.

	* /pack/anoncvs/jde/lisp/java.bnf:
	Changed regular expression for modifier to match only words.

2000-08-14  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-bug.el, /pack/anoncvs/jde/lisp/jde-dbs.el:
	Adds support for Step Into All command.

2000-08-12  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-help.el:
	Fixed regression error in jde-help-symbol-at-point.

2000-08-11  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-complete.el:
	Now flushes the classinfo cache at the end of a compilation.

	* /pack/anoncvs/jde/lisp/jde-compile.el:
	Added jde-compile-finish-hook variable.

	* /pack/anoncvs/jde/lisp/jde.el:
	Now refreshes speedbar at the end of a compilation.

2000-08-10  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/beanshell.el:
	Now handles Lisp eval errors gracefully.

	* /pack/anoncvs/jde/lisp/jde-complete.el:
	Now handles primitive arrays correctly.

2000-08-09  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-make.el:
	Added jde-make-working-directory variable. Thanks to Laurent Latil <Laurent.Latil@france.sun.com>

	* /pack/anoncvs/jde/lisp/jde-complete.el:
	Adds support for completion of array instances. Thanks to Steff.

2000-08-08  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-javadoc.el:
	Fixed the doc for jde-javadoc-make.

2000-08-07  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-javadoc.el:
	jde-javadoc-make now uses jde-db-source-directories as the sourcepath for generating doc.

	* /pack/anoncvs/jde/lisp/jde-javadoc.el:
	Adds jde-javadoc-make command. Thanks to Sergey A Klibanov <sakliban@cs.wustl.edu>.

	* /pack/anoncvs/jde/lisp/beanshell.el: Adds bsh-vm-args variable.

	* /pack/anoncvs/jde/lisp/jde-parse.el:
	Fixes a couple of bugs in jde-parse-valid-declaration-at. Thanks to Lou Aloia <xlxa@rims.com> and Stephane <s.nicolas@videotron.ca> for the fixes.

2000-08-04  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/beanshell.el: Added bsh-eval-timeout variable.

2000-08-03  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-wiz.el:
	Restored use of the radio buttons by the import wizard. Somehow this functionality got deleted.

2000-08-01  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-complete.el:
	Now caches methods and fields for each class referenced in a session. Now completes private and protected methods and fields. Thanks to Stephane <s.nicolas@videotron.ca>.

2000-07-30  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-complete.el:
	Updated doc for jde-complete-at-point and jde-complete-at-point-menu commands.

2000-07-29  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde.el:
	Add support for line numbering via the setnu package.

2000-07-28  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde.el, /pack/anoncvs/jde/lisp/jde-parse.el, /pack/anoncvs/jde/lisp/jde-wiz.el, /pack/anoncvs/jde/lisp/jde-dbs.el, /pack/anoncvs/jde/lisp/ReleaseNotes.txt, /pack/anoncvs/jde/lisp/jde-bug.el:
	Committing all modified files.

	* /pack/anoncvs/jde/lisp/jde-stat.el:
	Initial revision. Thanks to Stephane Nicolas <s.nicolas@videotron.ca>
	for contributing the initial version of this package.

2000-07-27  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-complete.el:
	Now completes object fields to any depth and completes variables declared in method argument lists. Thanks to Stephane Nicolas <s.nicolas@videotron.ca>.

2000-07-26  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-complete.el:
	Adds support for static fields and methods. Thanks to  Stephane Nicolas <s.nicolas@videotron.ca> for this enhancement.

2000-07-23  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-gen.el:
	Templates now indent correctly when inserted in a buffer. Thanks to el mono <mono@utp.edu.co> for this enhancement.

2000-07-20  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-gen.el:
	Extended K&R coding style to all templates. Thanks to Stephane Nicolas <s.nicolas@videotron.ca> for doing this.

2000-07-14  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-wiz.el:
	Adds a delegation wizard contributed by Charles Hart.

2000-07-13  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-wiz.el:
	* You can now specify a list of packages to exclude from import
	  into a source file. See jde-wiz-import-excluded-packages for
	  more information. Thanks to "Jim Loverde" <loverde@str.com>
	  for this enhancement.

	* Changed name of jde-wiz-insert-excluded-packages-regexp to
	  jde-wiz-import-excluded-packages.

	* /pack/anoncvs/jde/lisp/jde-wiz.el, /pack/anoncvs/jde/lisp/jde.el, /pack/anoncvs/jde/lisp/jde-dbo.el, /pack/anoncvs/jde/lisp/jde-javadoc.el, /pack/anoncvs/jde/lisp/jde-parse.el, /pack/anoncvs/jde/lisp/jde-bug.el:
	*** empty log message ***

2000-07-08  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-javadoc.el: Latest updates from David.

	* /pack/anoncvs/jde/lisp/java.bnf: Latest updates from David Ponce.

2000-07-04  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-javadoc.el: *** empty log message ***

	* /pack/anoncvs/jde/lisp/java.bnf:
	Changes to reflect updates in semantic 1.2.

2000-06-29  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-parse.el:
	Added sort option to Classes index menu. Thanks to David Ponce for this contribution.

2000-06-28  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/java.bnf:
	Reimplemented from scratch by David Ponce.

	* /pack/anoncvs/jde/lisp/jde-gen.el:
	Get/set pair template now generates correct method name for getting the value of boolean variables. Thanks to Stephane <s.nicolas@videotron.ca> for contributing this fix.

2000-06-22  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-parse.el:
	Index menu now shows variable types and class definitions. Thanks to David Ponce for these enhancments. Changed the name of jde-enable-index-menu to jde-imenu-enable and jde-enable-full-method-signatures-index-menu to jde-imenu-include signature.

	* /pack/anoncvs/jde/lisp/jde-javadoc.el: Fix submitted by David Ponce.

	* /pack/anoncvs/jde/lisp/jde-wiz.el:
	The import wizard dialog now uses radio buttons rather than check boxes to select
	 the class to import. Thanks to Mark Gibson for this enhancement.

2000-06-21  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/java.bnf:
	Added rules for arithmetic and string expressions.

2000-06-16  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/java.bnf:
	Now handles arrays in field declarations.

2000-06-12  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-db.el:
	Now displays JDEbug menu when running XEmacs.

	* /pack/anoncvs/jde/lisp/jde-dbs.el:
	Now uses the value of jde-bug-debugger-host-address as the address of the socket for the CLI channel.

	* /pack/anoncvs/jde/lisp/jde-dbo.el:
	Now displays debug menu when running XEmacs.

	* /pack/anoncvs/jde/lisp/jde-bug.el:
	Restored jde-bug-install-jdebug-menu for XEmacs compatibility.
	Added jde-bug-debugger-host-address variable.

	* /pack/anoncvs/jde/lisp/jde.el: Integrated David Ponce's jdok package.

	* /pack/anoncvs/jde/lisp/jde-javadoc.el: Initial revision.

2000-06-09  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-parse.el:
	Classes index menu now shows full signatures of methods. Thanks to Ittay Freiman <ittay@vigiltech.com> for suggesting this enhancement and to David Ponce <david@dponce.com> for implementing it.

	* /pack/anoncvs/jde/lisp/java.bnf:
	Added volatile to list of variable modifiers. Thanks to David Ponce and Mike Bowler.

2000-06-01  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-gen.el:
	Added control flow templates contributed by Eric D. Friedman <friedman@lmi.net>.

	* /pack/anoncvs/jde/lisp/jde-wiz.el:
	Added jde-sort-imports command. Thanks to David Ponce <david_ponce@mail.schneider.fr>.

	* /pack/anoncvs/jde/lisp/jde-complete.el:
	Completion menu now works on XEmacs.

2000-05-26  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-dbo.el, /pack/anoncvs/jde/lisp/jde-bug.el:
	Added variable jde-bug-raise-frame-p to allow a user to specify
	whether the Emacs window should pop up when a breakpoint is hit.

	* /pack/anoncvs/jde/lisp/java.bnf, /pack/anoncvs/jde/lisp/jde-parse.el:
	Updated grammar to handle argument variables with modifiers and array arguments.

2000-05-16  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/java.bnf, /pack/anoncvs/jde/lisp/jde-complete.el, /pack/anoncvs/jde/lisp/jde-dbo.el:
	*** empty log message ***

	* /pack/anoncvs/jde/lisp/jde-parse.el:
	Adds a Classes index menu to the Emacs menubar.

2000-05-11  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/java.bnf:
	Now handles native method declarations.

	* /pack/anoncvs/jde/lisp/jde-parse.el: Updated bovinator grammar.

	* /pack/anoncvs/jde/lisp/java.bnf: Now parses constructors.

	* /pack/anoncvs/jde/lisp/jde-parse.el:
	Added support for Eric Ludlam's semantic bovinator. Moved regular expression-based imenu indexer to this file.

2000-05-10  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-db.el, /pack/anoncvs/jde/lisp/jde.el, /pack/anoncvs/jde/lisp/jde-bug.el:
	The JDEbug menu now appears or disappears when you select or deselect JDEbug as the current debugger.

2000-05-02  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/java.bnf: Initial revision.

2000-04-23  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-dbs.el:
	Fixed some problems with the process launch command. Among others,
	the command now uses `system-name', instead of an absolute
	address (127.0.0.1) to refer to the local host when connecting to
	the port used to transport the debuggee process's standard I/O.
	This fixes the failure to start processes that occurs on some
	Windows networks.

2000-04-20  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde.el:
	User can now supply customized imenu regular expressions. See `jde-imenu-regex-function'.

2000-04-18  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-dbs.el:
	Fixes a bug in the jde-dbs-cmd-failure-action method for jde-dbs-get-this and a bug in the jde-dbs-cmd-success-action for jde-dbs-listen-for process.

2000-04-14  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde.el:
	Added option jde-imenu-recognize-tag-comments-p. When on, this option causes the imenu symbol declaration indexer to recognize variables and method declarations witn prefixed tag comments.

2000-04-13  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-dbs.el:
	Removed one stray reference to deleted function jde-proc-steppable-p.

	* /pack/anoncvs/jde/lisp/jde-dbs.el:
	Added steppablep field to process object. Set whenever process hits a breakpoint or step event.
	Modified jde-dbs-target-process-steppable-p to test steppablep field.
	This fixes menu enabling bug.
	Debugger lisp output parser now suspends paren balancing in strings. This fixes Lisp eval error when a Java variable includes unbalanced parentheses.

2000-04-10  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-compile.el:
	Compile command now supports Cygwin-style class paths.

	* /pack/anoncvs/jde/lisp/jde-dbo.el:
	Local variables buffer now includes the this object for the corresponding stack frame.

	* /pack/anoncvs/jde/lisp/jde-dbs.el:
	Added command to get the this object for a specified stack frame.

2000-04-08  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-dbo.el:
	The Emacs window now pops to the surface when JDEBug hits a breakpoint.

2000-04-05  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-dbs.el:
	Fixed thread-tree code to ignore No information Available threads.

2000-03-27  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-dbs.el:
	Now sets the working directory to jde-run-working-directory (if not null) before starting the debugger.

2000-03-17  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-dbs.el:
	Display threads now includes the stack for each thread. Thanks to Paul Michael Reilly <pmr@pajato.com> for implementing this.

2000-03-16  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-dbo.el, /pack/anoncvs/jde/lisp/jde-parse.el, /pack/anoncvs/jde/lisp/jde-run.el:
	Miscellaneous small bug fixes and enhancements.

	* /pack/anoncvs/jde/lisp/jde-bug.el, /pack/anoncvs/jde/lisp/jde-db.el, /pack/anoncvs/jde/lisp/jde.el:
	Added JDEbug option to jde-db-debugger.

	* /pack/anoncvs/jde/lisp/jde-dbs.el:
	Enabled interactive reading of vm and application arguments for JDEbug sessions. Thanks to Steve Haflich <smh@franz.com> for this enhancement.

2000-03-08  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-db.el:
	jde-db-format-command now signals an error it it cannot determine the containing class.

	* /pack/anoncvs/jde/lisp/jde-parse.el:
	Fixed regular expression in jde-parse-get-innermost-class-at-point to handle more cases. Thanks to Steve Haflich <smh@franz.com> for reporting the problem and providing a starting point for the fix.

2000-03-03  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-bug.el:
	Fixed bug where jde-bug-launch-process was returning t even when it failed.

	* /pack/anoncvs/jde/lisp/jde.el:
	Moved Browse JDK doc item to Help menu. Other cosmetic changes to the
	Help menu.

2000-02-17  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-bug.el: Added key bindings for debugger.

	* /pack/anoncvs/jde/lisp/jde.el:
	Fixed key bindings to show function keys on menu labels.

	* /pack/anoncvs/jde/lisp/jde-dbs.el:
	Fixed scrolling in process debug message window. Thanks to "Martin
	Dickau" <mdickau@byallaccounts.com> for this fix.

	* /pack/anoncvs/jde/lisp/jde-dbs.el:
	jde-dbs-cmd now copies and then empties the pending event queue before
	processing the events. This fixes an infinite recursion bug that can
	occur when stepping through code.

2000-02-16  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-bug.el:
	Implemented color customization for breakpoint marker.
	Implemented persistent breakpoints.

	* /pack/anoncvs/jde/lisp/jde-dbs.el:
	Implemented Cygwin/XEmacs compatiblity fixes provided by Fred Hart
	<cfhart@Z-TEL.com>.

	* /pack/anoncvs/jde/lisp/jde-parse.el, /pack/anoncvs/jde/lisp/jde-run.el, /pack/anoncvs/jde/lisp/jde.el:
	Implemented Cygwin/XEmacs compatiblity fixes provided by Fred Hart
	<cfhart@Z-TEL.com> in bsh-internal.

	* /pack/anoncvs/jde/lisp/beanshell.el:
	Implemented Cygwin/XEmacs compatiblity fix provided by Fred Hart
	<cfhart@Z-TEL.com> in bsh-internal.

	* /pack/anoncvs/jde/lisp/jde.el: *** empty log message ***

2000-02-14  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-complete.el:
	Fixed XEmacs compatibility bug.

	* /pack/anoncvs/jde/lisp/ReleaseNotes.txt: beta19 release

	* /pack/anoncvs/jde/lisp/jde-parse.el:
	Fixed find innermost class regular expression.

	* /pack/anoncvs/jde/lisp/jde.el, /pack/anoncvs/jde/lisp/jde-bug.el, /pack/anoncvs/jde/lisp/jde-dbo.el, /pack/anoncvs/jde/lisp/jde-dbs.el:
	Implemented up and down stack commands.

2000-02-10  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-dbs.el, /pack/anoncvs/jde/lisp/jde-bug.el:
	Fixed bug where Display->Threads command was not enabled when debugger
	was attached to a process.

	* /pack/anoncvs/jde/lisp/jde-db.el:
	Replaced jde expand file name function with expand-file-name.

2000-02-09  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-parse.el:
	Added methods for parsing symbol at point.

	* /pack/anoncvs/jde/lisp/jde-help.el:
	Replaced jde-help-class with jde-help-symbol method. The new method
	gets help for the symbol at point. The symbol may refer to a class,
	an object, or a method or field.

	* /pack/anoncvs/jde/lisp/jde-complete.el:
	Fixed "Wrong type argument: sequencep, 0" bug that occurs when using
	completion with XEmacs. Thanks to Dr. Volker Zell for reporting this
	bug.

	Now supports completion of fields declared at the end of a class as
	well as those declared at the beginning of a class.

	Adds current package to the import list for the current buffer. Thanks
	to harald@gliebe.de for providing this fix.

2000-02-02  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/ReleaseNotes.txt: ReleaseNotes.txt

	* /pack/anoncvs/jde/lisp/beanshell.el: Expanded doc string.

	* /pack/anoncvs/jde/lisp/jde-bug.el:
	Fixed bug in socket listen command.

2000-02-01  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-dbs.el, /pack/anoncvs/jde/lisp/jde-bug.el:
	Added commands for listening for applications needing debug services.

	* /pack/anoncvs/jde/lisp/jde-gen.el:
	Provide choice of coding styles for code generated by templates. Thanks to Jari Aalto for this enhancement.

	* /pack/anoncvs/jde/lisp/jde-widgets.el, /pack/anoncvs/jde/lisp/jde-help.el, /pack/anoncvs/jde/lisp/jde-run.el, /pack/anoncvs/jde/lisp/jde-dbs.el, /pack/anoncvs/jde/lisp/jde-bug.el, /pack/anoncvs/jde/lisp/jde-complete.el, /pack/anoncvs/jde/lisp/jde-dbo.el, /pack/anoncvs/jde/lisp/ReleaseNotes.txt:
	ReleaseNotes.txt

	* /pack/anoncvs/jde/lisp/jde-parse.el:
	Fixed regular expression for classes to handle case where point is in
	a constructor. Thanks to Francois Cogne <cogne@col.bsf.alcatel.fr>.

	* /pack/anoncvs/jde/lisp/jde-db.el:
	Modified the Jdb->Set Breakpoint command (gud-break) to set breakpoints correctly
	in inner classes.

2000-01-29  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde.el:
	You can now use the notation [f1], [f2], etc., to specify function
	keys when customizing jde-key-bindings.

2000-01-28  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/beanshell.el:
	Fixed startup timing bug that cause commands that use the beanshell to
	failt the first time on Unix systems.

2000-01-18  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-wiz.el, /pack/anoncvs/jde/lisp/jde.el, /pack/anoncvs/jde/lisp/jde-help.el, /pack/anoncvs/jde/lisp/ReleaseNotes.txt:
	Added jde-show-class-source. Thanks to Phil Lord for the initial
	implementation of this command.

2000-01-17  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-widgets.el, /pack/anoncvs/jde/lisp/jde-dbs.el, /pack/anoncvs/jde/lisp/jde-dbo.el:
	Implemented array and object inspectors.

2000-01-15  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-help.el:
	Eliminated some globally bound symbols.

	* /pack/anoncvs/jde/lisp/jde-widgets.el:
	Implemented dynamic tree widget.

	* /pack/anoncvs/jde/lisp/jde-dbs.el, /pack/anoncvs/jde/lisp/jde-bug.el:
	Added show buffer commands.

	* /pack/anoncvs/jde/lisp/jde-dbo.el:
	Handler for breakpoint and step events now updates locals buffer automatically.

	* /pack/anoncvs/jde/lisp/jde-db.el:
	Reimplemented directory search functions.

	* /pack/anoncvs/jde/lisp/beanshell.el: Corrected typo.

2000-01-02  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/ReleaseNotes.txt, /pack/anoncvs/jde/lisp/jde-bug.el, /pack/anoncvs/jde/lisp/jde-dbs.el, /pack/anoncvs/jde/lisp/jde.el:
	Added attach process commands.

1999-12-27  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/ReleaseNotes.txt, /pack/anoncvs/jde/lisp/jde-run.el:
	Enhanced JDE->Run App command to run executables.

	* /pack/anoncvs/jde/lisp/jde-bug.el, /pack/anoncvs/jde/lisp/jde-dbs.el:
	Added show object monitors command.

1999-12-23  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/ReleaseNotes.txt, /pack/anoncvs/jde/lisp/jde-dbo.el:
	Add the JDEbug buffer to buffers opened as the result of stepping,
	breakpoint, and watch events.

	* /pack/anoncvs/jde/lisp/jde.el:
	* jde-mode now defines underscore as a word constituent to allow
	variable names to start with underscores.
	* Added Project menu
	* Added Project Files->Load and Load All commands
	* Added jde-project-context-switching-enabled-p variable.
	* Context-switching now suspended when JDEbug is running a debuggee process.

1999-12-20  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-bug.el, /pack/anoncvs/jde/lisp/jde-dbs.el:
	Added cancel watchpoint command.

1999-12-19  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-wiz.el:
	Changed import wizard to use jde.util.JdeUtilities.getQualifiedName
	eliminated redundancy. Thanks to Len Trigg <len@intelligenesis.net>
	for this improvement.

	* /pack/anoncvs/jde/lisp/jde.el:
	Made buffer activation hook truly buffer local. Thanks to "Phillip
	Lord" <plord@hgmp.mrc.ac.uk> for this fix.

	* /pack/anoncvs/jde/lisp/jde-bug.el, /pack/anoncvs/jde/lisp/jde-dbo.el, /pack/anoncvs/jde/lisp/jde-dbs.el:
	Added watch field command.

1999-12-14  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/ReleaseNotes.txt: *** empty log message ***

	* /pack/anoncvs/jde/lisp/jde.el:
	Changed key binding for jde-help-class from C-c C-v C-h to C-c C-v C-w
	because C-h is a reserve binding. Thanks to Richard Y. Kim <ryk@coho.net> for suggesing this change.

	* /pack/anoncvs/jde/lisp/jde-run.el:
	JDE->Run Applet now looks in the current Java source directory for an
	html file having the same root name as the current Java source
	buffer. If it finds such a file, it runs it. Otherwise, it runs the first html file that it encounters in the directory. Thanks to  Richard Y. Kim <ryk@coho.net> for providing a patch implementing this change.

	* /pack/anoncvs/jde/lisp/ReleaseNotes.txt, /pack/anoncvs/jde/lisp/jde-bug.el, /pack/anoncvs/jde/lisp/jde-dbs.el:
	Added JDEbug->Processes->Remove Dead Processes command.

1999-12-13  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde.el, /pack/anoncvs/jde/lisp/ReleaseNotes.txt, /pack/anoncvs/jde/lisp/jde-bug.el, /pack/anoncvs/jde/lisp/jde-dbs.el:
	Added jde-bug-vm-executable and jde-bug-jre-home variables.
	Fixed jde-dbs-launch-process command so that it fails gracefully.

1999-12-03  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/ReleaseNotes.txt, /pack/anoncvs/jde/lisp/jde-bug.el, /pack/anoncvs/jde/lisp/jde-dbs.el, /pack/anoncvs/jde/lisp/jde-run.el:
	Updated JDEbug to run under JDK 1.3beta.

1999-11-30  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-dbs.el, /pack/anoncvs/jde/lisp/jde-bug.el, /pack/anoncvs/jde/lisp/ReleaseNotes.txt:
	Added JDEbug->Display->Path Info command.

1999-11-29  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-bug.el, /pack/anoncvs/jde/lisp/jde-dbs.el, /pack/anoncvs/jde/lisp/ReleaseNotes.txt:
	Added JDEbug->Display->Loaded Classes Command.

1999-11-28  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/ReleaseNotes.txt, /pack/anoncvs/jde/lisp/jde-complete.el, /pack/anoncvs/jde/lisp/jde.el:
	Changed key binding for jde-complete-at-point to C-c C-v C-.

1999-11-27  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde.el, /pack/anoncvs/jde/lisp/jde-bug.el, /pack/anoncvs/jde/lisp/jde-dbo.el, /pack/anoncvs/jde/lisp/jde-dbs.el, /pack/anoncvs/jde/lisp/ReleaseNotes.txt:
	Added commands for tracing classes.

1999-11-23  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-dbs.el, /pack/anoncvs/jde/lisp/jde-bug.el:
	Added Trace->Cancel command.

1999-11-21  reyes  <reyes@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-complete.el: *** empty log message ***

1999-11-16  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jcomplete.el: Initial revision.

	* /pack/anoncvs/jde/lisp/jde-widgets.el, /pack/anoncvs/jde/lisp/jde-bug.el, /pack/anoncvs/jde/lisp/jde-db.el, /pack/anoncvs/jde/lisp/jde-dbo.el, /pack/anoncvs/jde/lisp/jde-dbs.el:
	Added trace method commands and skeletons for trace class and cancel
	trace commands.

1999-11-13  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-dbo.el: *** empty log message ***

1999-11-04  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-bug.el:
	Added class and method tracing command skeletons.

	* /pack/anoncvs/jde/lisp/jde-dbs.el:
	Added trace-mode fields to jde-dbs-proc class. Needed to support trace mode.
	Added object-refs field to jde-dbs-proc class. Needed to support object reference management.

	* /pack/anoncvs/jde/lisp/jde-db.el:
	Amended jde-db-make-qualified-class-name-regexp to permit package names to begin with non-word characters, e.g., underscores. Contributed by "Patrick J. McNerthney" <pat@mcnerthney.com>.

1999-11-01  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/beanshell.el: No change.

	* /pack/anoncvs/jde/lisp/jde-wiz.el:
	Added jde-browse-class contributed by Rohit Namjoshi <Rohit_Namjoshi@trilogy.com>.

	* /pack/anoncvs/jde/lisp/jde.el:
	Added jde-submit-bug-report contributed by Phillip Lord.

1999-10-28  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-bug.el, /pack/anoncvs/jde/lisp/jde-dbs.el, /pack/anoncvs/jde/lisp/ReleaseNotes.txt:
	Added interrupt and stop thread commands.

1999-10-17  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-wiz.el:
	Fixed a line in jde-wiz.el, where an int is concat'd with some
	strings.  This is not allowed by XEmacs 21.1.

1999-10-15  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-bug.el, /pack/anoncvs/jde/lisp/ReleaseNotes.txt:
	Fixed bugs in JDEbug->Exit Debugger.

1999-10-14  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/ReleaseNotes.txt, /pack/anoncvs/jde/lisp/jde-bug.el, /pack/anoncvs/jde/lisp/jde-dbs.el:
	Added Resume Process and Resume Thread commands.

1999-10-13  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-bug.el, /pack/anoncvs/jde/lisp/jde-dbs.el:
	Added suspend process and suspend thread commands.

	* /pack/anoncvs/jde/lisp/jde-widgets.el, /pack/anoncvs/jde/lisp/ReleaseNotes.txt, /pack/anoncvs/jde/lisp/jde-bug.el:
	Add JDEBug->Threads->Show Threads command

	* /pack/anoncvs/jde/lisp/jde-dbs.el: Add JDEBug->Show Threads command

1999-10-01  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde.el:
	Added jde-wiz-update-class-list function to the Wizards menu.
	Added jde-help-class to the Help menu.

	* /pack/anoncvs/jde/lisp/jde-wiz.el:
	Added jde-wiz-update-class-list function contributed by Phillip Lord.

1999-09-30  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde.el:
	Cache jde variables to speed switching between projects. Enhancement
	provide by David Biesack.

	* /pack/anoncvs/jde/lisp/jde-help.el:
	Fixed typo spotted by David Biesack.

1999-09-28  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-widgets.el: Initial revision.

	* /pack/anoncvs/jde/lisp/jde-dbs.el:
	start debugger method now checks whether debugger actually started
	and returns nil if the debugger did not start.

	* /pack/anoncvs/jde/lisp/jde-dbo.el:
	jde-dbo-init-debug-session now sets debugger's started-p field to true.

	* /pack/anoncvs/jde/lisp/jde-db.el, /pack/anoncvs/jde/lisp/jde-run.el:
	Supplied missing left parentheses.

	* /pack/anoncvs/jde/lisp/ReleaseNotes.txt:
	JDE 2.1.6beta10 release notes

	* /pack/anoncvs/jde/lisp/jde-bug.el:
	Patched to use either gud-find-c-expr or find-c-expr.

1999-09-23  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-gen.el:
	Added code templates implementing EJB EntityBean and SessionBean
	interfaces. Thanks to Brendan.Burns@tfsma-ims.tfn.com for contributing
	the templates.

1999-09-18  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/ReleaseNotes.txt:
	Release notes for JDE-2.1.6beta9.

	* /pack/anoncvs/jde/lisp/jde-dbs.el:
	Fixed bug in the launch-process command where the command was failing
	to convert the application arguments from a list of arguments to a
	string of arguments. Thanks to "Matthew
	Weymar"<mweymar@hamilton-partners.com> for reporting the bug.

	* /pack/anoncvs/jde/lisp/jde-help.el:
	Now prepends "file://" to doc file when invoking browse-url. Hopefully
	this will fix the problem reported by one user where the browser
	prepends http://www to doc file path.

1999-09-17  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/beanshell.el:
	Set comint-prompt-regexp to the beanshell prompt.
	Fixed bug where Emacs was querying user whether to kill the beanshell
	buffer on exit from Emacs.

	* /pack/anoncvs/jde/lisp/jde-wiz.el:
	Fixed regression error where the interface wizard was putting quotes
	around the code inserted into the source buffer.

	* /pack/anoncvs/jde/lisp/jde.el:
	Fixed Wizards->Import Class menu item to invoke
	jde-wiz-find-and-import instead of jde-wiz-import.

1999-09-16  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-bug.el, /pack/anoncvs/jde/lisp/jde-dbs.el:
	Added get locals command.

1999-09-13  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-bug.el, /pack/anoncvs/jde/lisp/jde-dbs.el:
	Enhanced get array command.

1999-09-10  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-bug.el, /pack/anoncvs/jde/lisp/jde-dbs.el:
	Finished first cut at get_object command.

1999-09-08  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde.el, /pack/anoncvs/jde/lisp/jde-dbo.el, /pack/anoncvs/jde/lisp/jde-dbs.el, /pack/anoncvs/jde/lisp/jde-bug.el:
	Updated debugger code to take advantage of new unbound slot capability
	of eieio.

1999-09-07  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-dbs.el, /pack/anoncvs/jde/lisp/jde-bug.el:
	Added get array command.

1999-09-05  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde.el:
	Fixed bug in jde-show-help function that prevented it from working
	with Internet Explorer on Windows/NT.

	* /pack/anoncvs/jde/lisp/jde-bug.el, /pack/anoncvs/jde/lisp/jde-dbo.el, /pack/anoncvs/jde/lisp/jde-dbs.el:
	Added initial implementation of evaluate and display variable commands.

	* /pack/anoncvs/jde/lisp/jde-db.el, /pack/anoncvs/jde/lisp/jde-run.el:
	Added support for running vm in classic mode.

1999-08-30  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-bug.el, /pack/anoncvs/jde/lisp/jde-dbo.el, /pack/anoncvs/jde/lisp/jde-dbs.el:
	Converted clear breakpoint command to OOPS.

1999-08-29  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-gen.el, /pack/anoncvs/jde/lisp/jde-run.el, /pack/anoncvs/jde/lisp/jde-wiz.el:
	Patches provided by Michael Ernst <mernst@alum.mit.edu>

1999-08-28  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/ReleaseNotes.txt, /pack/anoncvs/jde/lisp/jde-dbs.el, /pack/anoncvs/jde/lisp/jde-bug.el, /pack/anoncvs/jde/lisp/jde-dbo.el:
	Improved multiple process handling, window configuration.

1999-08-27  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-dbs.el, /pack/anoncvs/jde/lisp/jde.el, /pack/anoncvs/jde/lisp/jde-bug.el, /pack/anoncvs/jde/lisp/jde-dbo.el:
	Provided initial support for multiple processes.
	Fixed jde-find-data-directory to work on XEmacs with a standard
	JDE distribution.
	Ported breakpoint highlighting code to XEmacs. Still has bugs though.
	Now includes jde-db-option options on vm command-line for process.

1999-08-24  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/ReleaseNotes.txt, /pack/anoncvs/jde/lisp/jde-bug.el, /pack/anoncvs/jde/lisp/jde-dbs.el, /pack/anoncvs/jde/lisp/jde.el:
	Reimplemented the constructor for jde-dbs-proc the right way. Renamed
	jde-bug-counter to jde-bug-breakpoint-counter.

	* /pack/anoncvs/jde/lisp/jde-dbs.el:
	Fixed a couple of NT-related problems. In particular, add an extra
	line feed after debugger commands to force flushing of debugger output
	buffer and modified jde-dbs-process-runnable-p to recognize an
	"unknown" state as runnable if the process is suspended.

1999-08-23  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-bug.el: Minor bug.

	* /pack/anoncvs/jde/lisp/imenu.el, /pack/anoncvs/jde/lisp/ReleaseNotes.txt:
	Required by XEmacs users.

	* /pack/anoncvs/jde/lisp/jde-bug.el, /pack/anoncvs/jde/lisp/jde-dbs.el:
	Added customization variable jde-bug-jpda-directory. Also check to
	ensure that this variable specifies a valid path.

	* /pack/anoncvs/jde/lisp/jde.el:
	Updated jde-show-help function to reflect new location of user's guide
	in the JDE help hierarchy.

	* /pack/anoncvs/jde/lisp/jde-wiz.el:
	Fixed regression bug in jde-wiz-implement-interface caused by recent
	change in jde-wiz-insert-imports.

	* /pack/anoncvs/jde/lisp/jde-bug.el, /pack/anoncvs/jde/lisp/jde-dbo.el, /pack/anoncvs/jde/lisp/jde-dbs.el, /pack/anoncvs/jde/lisp/jde.el:
	Updated to use Eric Ludlam's eieio object system.

1999-08-20  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/ReleaseNotes.txt: Added 2.1.6B5 release notes.

	* /pack/anoncvs/jde/lisp/makefile:
	Updated to include new debugger in distributable.

	* /pack/anoncvs/jde/lisp/jde-parse.el:
	Added jde-parse-get-package-from-name function.

	* /pack/anoncvs/jde/lisp/jde-help.el:
	Corrected spelling of Phillip Lord's name.

1999-08-19  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jtags.csh:
	Added prune clause for CVS directories.

	* /pack/anoncvs/jde/lisp/jtags: Added prune clause for RCS.

	* /pack/anoncvs/jde/lisp/jde-bug.el: *** empty log message ***

1999-08-18  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-bug.el: Continuing implementation

	* /pack/anoncvs/jde/lisp/jde-dbs.el, /pack/anoncvs/jde/lisp/jde-dbo.el:
	Continuing implementation.

1999-08-17  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-bug.el: *** empty log message ***

1999-08-15  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde.el:
	Provided support for initial implementation of JDEbug.

	* /pack/anoncvs/jde/lisp/jde-dbo.el:
	Implemented additional functionality.

	* /pack/anoncvs/jde/lisp/jde-bug.el: Implemented more functionality.

	* /pack/anoncvs/jde/lisp/jde-dbs.el:
	Fixed classpath in debugger start function.

	* /pack/anoncvs/jde/lisp/jde-dbs.el:
	Implemented a lot of new functionality.

1999-08-10  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-dbo.el, /pack/anoncvs/jde/lisp/jde-bug.el, /pack/anoncvs/jde/lisp/jde-dbs.el:
	New file.

1999-07-04  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-run.el:
	Added jde-run-application-running-p predicate function.

1999-06-27  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/ReleaseNotes.txt: *** empty log message ***

	* /pack/anoncvs/jde/lisp/jde.el: Changed release number to 2.1.6beta4.

1999-06-26  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde.el:
	Kill project file buffer after saving to prevent cross-contamination of simultaneously open project files.

	* /pack/anoncvs/jde/lisp/jde-help.el:
	Type javadoc now sufficient to specify both Java 1 and Java 2 javadoc docsets.

1999-06-25  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-help.el:
	Enhanced to support doc collections of any type.

1999-06-22  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/makefile: *** empty log message ***

	* /pack/anoncvs/jde/lisp/ReleaseNotes.txt: Notes for JDE 2.1.6beta3

	* /pack/anoncvs/jde/lisp/jde.el:
	Added key binding for `jde-help-class'.
	Updated revision to 2.1.6beta3.

	* /pack/anoncvs/jde/lisp/jde-wiz.el:
	Added variable to filter out unwanted classes from the list of classes being
	considered for import command by jde-find-and-import. The jde-find-and-import
	command now prompts the user if more than one class matches the specified
	import name. Thanks to Phillip Lord <plord@hgmp.mrc.ac.uk> for these enhancements.

1999-06-17  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-help.el: Bug fix.

	* /pack/anoncvs/jde/lisp/jde-help.el:
	Eliminated separate customization group for help variables.

	* /pack/anoncvs/jde/lisp/jde-help.el: New file.

1999-05-10  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde.el: Added require statement for jde-parse.

1999-05-07  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde.el: Changed version number to 2.1.6beta1.

	* /pack/anoncvs/jde/lisp/jde-run.el:
	Changed jde-run-parse-args to accept any substring enclosed in single or double
	quotes or that does not contain white space as an arg.

	* /pack/anoncvs/jde/lisp/jde.el:
	Changed key binding C-c C-v C-z to invoke
	jde-wiz-find-and-import instead of jde-wiz-import.

	Changed jde-build to support interactive entry of make arguments.

	* /pack/anoncvs/jde/lisp/jde-wiz.el: Cosmetic change.

	* /pack/anoncvs/jde/lisp/jde-wiz.el:
	Added new command, jde-wiz-find-and-import, that, given an unqualified class
	name, generates and inserts an import statement for that class.

1999-04-27  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/makefile: Include parser in distributable.

	* /pack/anoncvs/jde/lisp/jde-make.el:
	Updated to allow interactive entry of make arguments. Thanks to Yarek J. Kowalik <jgk@klg.com> for providing this enhancement.

	* /pack/anoncvs/jde/lisp/jde-parse.el: New file.

1999-03-12  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/makefile: Added removal of ^M characters.

1999-03-10  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde.el:
	Fixed in bug in jde-find-jde-data-directory

	* /pack/anoncvs/jde/lisp/jde.el: Changed version to 2.1.5.

	* /pack/anoncvs/jde/lisp/jde-db.el:
	Fixed jde-db-find-file to return the current buffer if it cannot find a file and
	XEmacs is the editor.

1999-03-06  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-db.el:
	Changed default value of jde-db-source-directories to be nil.

	* /pack/anoncvs/jde/lisp/jde-db.el:
	Make sure that case-sensitive matching is used when extracting package names from
	debugger breakpoint messages.

1999-02-26  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/makefile: New file.

	* /pack/anoncvs/jde/lisp/ReleaseNotes.txt: *** empty log message ***

	* /pack/anoncvs/jde/lisp/jde.el: Version 2.1.5b4

	* /pack/anoncvs/jde/lisp/jde-db.el:
	Catch non-existant directory errors when searching for source
	files and packages. Thanks to Thanh Nguyen <Thanh.Nguyen@Eng.Sun.COM>
	for finding and providing a fix for this bug.

1999-02-25  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-db.el:
	Fixed jde-db-find-file so that it displays an error when it cannot find a file instead of
	opening an empty source buffer.

	Provided a set-value function for jde-db-source-directories that appends a slash to
	the end of each path if the path does not already end in a slash.

	Defined a new command, jde-find-class-source, that finds and opens the source file
	for a specified class.

	Improved the regular expression used by jde-db-get-package to ignore tabs at the
	beginning of a line.

1999-02-17  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/ReleaseNotes.txt: *** empty log message ***

	* /pack/anoncvs/jde/lisp/jde.el: 2.1.5b3 version number.

	* /pack/anoncvs/jde/lisp/jde-wiz.el:
	Provided more robust error handling for the interface wizard. The wizard
	no longer kills the bsh when it cannot create an interface and provides
	meaningfull error messages.

1999-02-15  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-db.el: Forgot to concatenate in last fix.

	* /pack/anoncvs/jde/lisp/ReleaseNotes.txt: *** empty log message ***

	* /pack/anoncvs/jde/lisp/jde.el: Updated version number.

	* /pack/anoncvs/jde/lisp/jde-wiz.el:
	Fixed bug in jde-wiz-get-method-class that caused it to fail when the open bracket
	for the class was not on the same line as the class keyworkd. Thanks to
	P.Lord@mdx.ac.uk (Phillip Lord) for diagnosing this bug.

	* /pack/anoncvs/jde/lisp/jde-db.el:
	Fixed bug in qualified-class-name-regexp.

1999-02-12  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/ReleaseNotes.txt: *** empty log message ***

	* /pack/anoncvs/jde/lisp/jde.el:
	Added menu item (Wizards->Import Class) for generating import statements.

	* /pack/anoncvs/jde/lisp/jde-wiz.el: Added jde-wiz-import function.

1999-02-11  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-wiz.el:
	Fixed bug in jde-wiz-update-implements-clause.

	* /pack/anoncvs/jde/lisp/jde-wiz.el: Corrected missing parentheses.

	* /pack/anoncvs/jde/lisp/jde-gen.el:
	Updated the Swing application template to the JDK 1.2 Swing package
	scheme and expanded the template to provide a menu and scrollable
	canvas.

1999-02-10  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-db.el:
	Added support for appletviewer -encoding and -J options.

	* /pack/anoncvs/jde/lisp/jde-run.el:
	Added support for appletviewer options.

1999-02-08  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde.el: *** empty log message ***

	* /pack/anoncvs/jde/lisp/jde-db.el:
	jde-db-applet now supports file completion and remembers the last path entered.

1999-02-06  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-db.el:
	Fixed bug and generalized regular expression in jde-db-make-qualified-class-name-regexp.

1999-02-05  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-run.el:
	Added file-completion and default-to-last-entry to jde-run-applet
	command.

1999-02-04  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde.el:
	Provided a fix for ensuring that key bindings are always set. The fix is
	to do a custom-initialize-reset on the jde-key-bindings variable in the jde-mode
	function. The jde-mode-map is updated with the key bindings as a side effect of
	resetting the variable.

	* /pack/anoncvs/jde/lisp/jde.el:
	Fixed some keybindings. Also backed out Matthew Moore's fix for ensuring
	that jde-mode-keymap gets set at startup since it seems to break
	java-mode. I'll try to come up with another fix later.

1999-02-03  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde.el: *** empty log message ***

	* /pack/anoncvs/jde/lisp/jde-db.el:
	Fixed regular expression in jde-db-get-package to eliminate spurious hits, e.g.
	commented out package statements. Thanks to Frederic Baumann <baumann@ilog.fr>
	for reporting this bug.

	* /pack/anoncvs/jde/lisp/jde-db.el:
	Patched jde-db-get-app-args-from-user to remember arguments.
	Thanks to Brian Burton <brian@burton-computer.com>

	* /pack/anoncvs/jde/lisp/jde-db.el:
	Fixed jde-db-make-qualified-class-name-regexp to handle packages with underscores.
	Thanks to Brian Burton <brian@burton-computer.com>.

	* /pack/anoncvs/jde/lisp/jde-db.el:
	Changed jde-db-make-qualified-class-name-regexp to handle inner classes.
	Thanks to Michael Lepore <lepore@process.com> for this fix.

	* /pack/anoncvs/jde/lisp/jde.el: Minor fix to debug applet item.

	* /pack/anoncvs/jde/lisp/jde-db.el:
	Fixed jde-db-applet to check the current directory for the html file to run.

	* /pack/anoncvs/jde/lisp/jde.el:
	Fixed a bug in the initialization code for jde-key-bindings.
	Thanks to Matthew Moore <matthew.moore@Schwab.COM> for this fix.

	Added a menu item for debugging applets.

	* /pack/anoncvs/jde/lisp/jde-run.el:
	Enhanced jde-run-applet to look in current directory for html file
	to display, if you do not specify a file in the minibuffer or via
	jde-run-applet-doc. Also fixed a bug in the minibuffer version of
	jde-run-applet that forced you always to specify the name of an
	html document.

1999-02-02  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-db.el:
	Added the jde-db-applet command. This command allows you to debug an applet, using
	appletviewer.

	* /pack/anoncvs/jde/lisp/jde-db.el:
	Removed unwanted space in -D (properties) debug option.

1999-01-17  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-make.el:
	Removed two line feeds at the end of make command as they appeared to
	confuse GNU make for NT.

	* /pack/anoncvs/jde/lisp/jde-db.el:
	Now uses gud-find-c-expr or find-c-expr, whichever is bound.

1999-01-15  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/beanshell.el:
	Added Andy Piper's NT/XEmacs compatibility changes.

	* /pack/anoncvs/jde/lisp/jde.el: Some XEmacs patches that I missed.

	* /pack/anoncvs/jde/lisp/jde-compile.el, /pack/anoncvs/jde/lisp/jde-run.el:
	Added Andy Piper's NT/XEmacs compatibility changes.

	* /pack/anoncvs/jde/lisp/jde.el:
	Added XEmacs compatibility changes from Andy Piper.

1999-01-13  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-db.el:
	Added Andy Piper's NT/XEmacs 21 compatibility changes.
	Changed find-c-expr to gud-findc-expr

1998-12-13  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/beanshell.el:
	Add check for chunked traffic between Emacs and the BeanShell.

1998-12-09  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/beanshell.el:
	Added a startup message for beanshell.

	* /pack/anoncvs/jde/lisp/jde.el:
	Put jde-compile variables in a new file jde-compile.el.

1998-12-07  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-compile.el:
	Updated compile options to reflect changes in command-line options
	accepted by javac.

1998-12-06  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-compile.el: New file.

	* /pack/anoncvs/jde/lisp/jde-run.el:
	Fixed bug with jde-run-options-properties. (The bug was putting a space before the
	-D switch.)

1998-11-27  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/ReleaseNotes.txt: *** empty log message ***

	* /pack/anoncvs/jde/lisp/jde.el: Updated JDE version number to 2.1.3.

	* /pack/anoncvs/jde/lisp/beanshell.el:
	Use CLASSPATH environment variable if jde-global-classpath is nil.

	* /pack/anoncvs/jde/lisp/jde-make.el:
	Changed to use compile mode as suggested by Robert Grace <rmg2768@draper.com>.

1998-11-23  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/ReleaseNotes.txt:
	Added note about BeanShell not running on Solaris.

1998-11-22  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/beanshell.el: Fixed path separator bug.

	* /pack/anoncvs/jde/lisp/jde-wiz.el: Fixed bug in interface wizard.

	* /pack/anoncvs/jde/lisp/ReleaseNotes.txt: *** empty log message ***

	* /pack/anoncvs/jde/lisp/jde-db.el:
	Made comint-prompt-regexp and  paragraph-start local variables.

	* /pack/anoncvs/jde/lisp/jde.el:
	Added menu items for the BeanShell and method override and interface wizards.

	* /pack/anoncvs/jde/lisp/beanshell.el: Changed path to use jde.jar.

1998-11-21  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-wiz.el: Fixed bug.
	Added implements clause update function to interface implementation wizard.

1998-11-10  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-wiz.el:
	Added smart import insertion to interface wizard.

1998-11-08  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-wiz.el: New file.

1998-11-04  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-db.el:
	Corrected verbiage in Jde Debugger Options description.

1998-10-22  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/beanshell.el: New file.

1998-09-16  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-gen.el:
	Added template for Java bean property change support.

1998-09-13  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/ReleaseNotes.txt: Release notes for 2.1.1

	* /pack/anoncvs/jde/lisp/jde.el: Fixed a small bug in key binding code.

	* /pack/anoncvs/jde/lisp/jde.el:
	Added support for customization of JDE key bindings via the
	variable jde-key-bindings.

	* /pack/anoncvs/jde/lisp/jde-gen.el:
	Added a template for generating a System.out.println statement.

	* /pack/anoncvs/jde/lisp/jde.el:
	Added System.out.println template to the Generate menu.

1998-09-12  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-db.el:
	Debugger now runs application from directory specified by jde-run-working-directory.

1998-09-11  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-run.el:
	Added a jde-run-working-directory customization variable. If set to a valid
	path, the JDE starts the application from the directory specified by the
	path. If the value of this variable is the empty string (the default),
	the JDE starts the application from the default directory of the current
	source buffer. The default directory is usually the directory containing
	the source file.

1998-09-07  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde.el:
	This version includes the latest version of jde-gen.el, which was inadvertently
	replaced by an older version in the last release. This version also includes
	a newer version of speedbar.el that seems to work better with NT/Emacs 20.3.1
	than the one that comes with the 20.3.1 distribution.

1998-08-28  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/ReleaseNotes.txt, /pack/anoncvs/jde/lisp/jde.el:
	*** empty log message ***

	* /pack/anoncvs/jde/lisp/jde.el: Updated version number.

	* /pack/anoncvs/jde/lisp/jde-run.el: Updated to support NT/Emacs 20.3

1998-07-28  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/ReleaseNotes.txt: *** empty log message ***

	* /pack/anoncvs/jde/lisp/jde.el: Removed a diagnostic message.

	* /pack/anoncvs/jde/lisp/jde.el: Updated version number to 2.0.9.

	* /pack/anoncvs/jde/lisp/jde.el: Fixed the following project file bugs:

	  * JDE does not store the project name in the project file.
	  * JDE does not save variables whose value is nil.
	  * JDE does not reset variables to initial values when
	    switching to a buffer that is not part of a project.

1998-07-22  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/ReleaseNotes.txt: *** empty log message ***

	* /pack/anoncvs/jde/lisp/jde-gen.el:
	Modified class buffer creation templates to use tempo-marks
	to mark initial position for user to insert code. Thanks
	to David Hull <david.hull@trw.com> for suggesting this.

	* /pack/anoncvs/jde/lisp/jde.el:
	Now requires cus-edit. This fixes custom-quote is void bug.

	Fixed bug in jde-set-variables that prevented loading of
	project files in the new format.

1998-07-10  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/ReleaseNotes.txt: *** empty log message ***

	* /pack/anoncvs/jde/lisp/jde.el:
	Changed jde-save-variables to mark variables that have been customized\n in the current session. Changed jde-set-variables to store the value\n of a customized variable in the customized-value property of the\n variable. This enables Custom to recognize the variable as customized.\n\n  Added jde-convert-prj-file, a function that converts old project files to \n \
	JDE-2.0.7 format.\n\n Fixed a bug in the function that finds the JDE documentation.

1998-07-09  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde.el:
	Change the way that the JDE saves and restores project-specific values of
	customization variables to be compatible with custom. This fixes the bug
	that caused errors when loading customized JDE variables from a .emacs file.

1998-07-06  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-gen.el:
	class buffer template now prompts for super class and
	interface

	* /pack/anoncvs/jde/lisp/jde-gen.el:
	Added boilerlate to other buffer generation templates.

1998-07-04  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde.el:
	Should have been does not turn on font-lock if XEmacs 21.0.

	* /pack/anoncvs/jde/lisp/ReleaseNotes.txt: *** empty log message ***

	* /pack/anoncvs/jde/lisp/jde.el:
	Now does not turn on font-lock if XEmacs 20.1.

1998-07-02  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-run.el:
	Added $ to the set of characters recognized by the JDE as valid
	in vm and Java app command-line arguments.

	* /pack/anoncvs/jde/lisp/jde.el:
	Fixed bugs in the jde-show-help function that prevented display
	of help on XEmacs and NT/Emacs.

1998-07-01  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/ReleaseNotes.txt: *** empty log message ***

	* /pack/anoncvs/jde/lisp/jde-gen.el:
	Added source file boilerplate support.

1998-06-30  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-run.el:
	Fixed jde-run-parse-args to recognize % as an argument
	character.

	* /pack/anoncvs/jde/lisp/jde-db.el:
	Added variables `jde-db-read-vm-args' and `jde-db-read-app-args'. The use of
	these variables is the same as the corresponding jde-run variables.

	* /pack/anoncvs/jde/lisp/jde.el:
	Added the customization variable `jde-read-compile-args'. If non-nil,
	this variable causes the jde-compile command to read compilation options
	from the minibuffer and append them to the options specified by
	the `jde-compile-option group of customization' variables. The JDE
	maintains a history of compiler options entered in the minibuffer.

	* /pack/anoncvs/jde/lisp/jde-run.el:
	Added the variables `jde-run-read-vm-args' and `jde-run-read-app-args'.
	The first cause the jde-run command to read vm arguments from the
	minibuffer and append them to the vm arguments specified by
	the `jde-run-option' group of customization variables. The second
	causes jde-run to read arguments to be passed to the application
	from the minibuffer and append them to the arguments specified
	by `jde-run-applications-args'. The JDE maintains separate histories
	for both types of arguments.

1998-06-29  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/ReleaseNotes.txt: *** empty log message ***

	* /pack/anoncvs/jde/lisp/jde.el:
	Use fboundp instead of Emacs version to determine whether
	easy-menu-create-menu is bound.

	* /pack/anoncvs/jde/lisp/jde-db.el: Fixed bug in marker filter.

1998-06-27  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/ReleaseNotes.txt: *** empty log message ***

	* /pack/anoncvs/jde/lisp/jde.el: Updated release to 2.0.3

	* /pack/anoncvs/jde/lisp/jde.el:
	Fixed bug where the JDE was invoking global-font-lock-mode on XEmacs,
	where it is not defined.

	Updated JDE to call easy-menu-create-menu instead of easy-menu-create-keymaps
	on Emacs 20. (The former replaces the latter as of Emacs 20.x);

	* /pack/anoncvs/jde/lisp/jde-db.el:
	Provided a hack to handle reordering of threaded messages on Solaris.

	Provided code to handle case where current class has no line number
	information.

	* /pack/anoncvs/jde/lisp/jde-gen.el:
	Fixed capitalization on get-set method pair. Thanks to Jere_McDevitt@HomeDepot.COM

1998-06-25  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-db.el:
	Removed debug messages from jde-db-marker-filter.

	* /pack/anoncvs/jde/lisp/jde-db.el:
	Modified jde-db-marker-filter to accummulate debugger output
	in chunks. Fixes bug reported by Eric Prud'hommeaux (eric@w3.org).

1998-06-22  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/ReleaseNotes.txt: *** empty log message ***

	* /pack/anoncvs/jde/lisp/jde-db.el:
	Added jde-db-startup-commands variable. This variable allows you to
	specify debugger commands to run when the debugger is started.

1998-06-21  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde.el: Updated JDE version number to 2.0.2.

	* /pack/anoncvs/jde/lisp/jde.el:
	Changed buffer change code to reload a project file
	when a user changed jde-mode buffers, not just .java
	buffers. This allows using extensions other than .java
	for Java source code files.

	Made post-command-hook buffer local to improve performance.

	Thanks to David J. Biesack( sasdjb@unx.sas.com) for the above changes.

	* /pack/anoncvs/jde/lisp/jde-db.el:
	Added a customizable feature, jde-db-set-initial-breakpoint, that causes
	the JDE to set an initial breakpoint in an app's main routine and run
	to the breakpoint on debugger startup. The feature is enabled by default.

1998-06-20  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-db.el:
	Made jde-db-marker-regexp a custom variable to facilitate the use of the JDE
	with debuggers other than jdb.

	Changed the marker regular expression to detect only jdb breakpoint messages,
	i.e., messages of the form

	  Breakpoint hit: qualified.class.name (class:line)

	This should eliminate the problem of spurious hits when exceptions occur and
	stack traces are printed.

1998-06-18  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde.el:
	Added XEmacs compatibility changes requested by xemacs.org.

1998-06-17  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde.el: Added support for abbreviations.

	* /pack/anoncvs/jde/lisp/jde-gen.el:
	Fixed bug that caused jfc-app to be generated instead of console app.
	Added a mouse motion listener template.
	Added a toString method template.

1998-05-29  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/ReleaseNotes.txt: *** empty log message ***

	* /pack/anoncvs/jde/lisp/jde-make.el:
	Added dummy function for jde-make-mode to facilitate autoloading.

	* /pack/anoncvs/jde/lisp/jde.el:
	Added no-op function for jde-mode to facilitate autoloading.
	Thanks to Andy Piper <andyp@parallax.co.uk> for the suggestion.

1998-05-27  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde.el: Updated JDE version number to 2.01.

	* /pack/anoncvs/jde/lisp/jde-db.el, /pack/anoncvs/jde/lisp/jde-make.el, /pack/anoncvs/jde/lisp/jde-run.el, /pack/anoncvs/jde/lisp/jde-gen.el:
	Added autoload comments.

	* /pack/anoncvs/jde/lisp/jde-gen.el: *** empty log message ***

	* /pack/anoncvs/jde/lisp/jde.el:
	Added autoload comments for JDE functions.

1998-05-17  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde.el:
	Changed names of the Files->JDE New->Custom and JDE-Autocode->Custom
	to Other...

	* /pack/anoncvs/jde/lisp/jde-gen.el:
	Added templates for a Swing application and an inner class.

	Fixed a bug in jde-gen-buffer

1998-04-19  kinnucan  <kinnucan@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/ReleaseNotes.txt: Updated for JDE 2.0

	* /pack/anoncvs/jde/lisp/jde.el: Updated version number.

1998-04-18  kinnucan  <kinnucan@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-gen.el:
	Fixes some bugs in the generated code.

	* /pack/anoncvs/jde/lisp/jde.el:
	Replace imenu--generic-function with jde-create-imenu-index
	as the indexing function for Java source buffers.
	jde-create-imenu-index is basically imenu--generic-function
	with a fix for a bug that generates multiple indexes for
	the same symbol.

1998-04-10  kinnucan  <kinnucan@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/ReleaseNotes.txt: New file.

	* /pack/anoncvs/jde/lisp/jde-gen.el: * Updated some of the doc strings.

1998-04-09  kinnucan  <kinnucan@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde.el:
	* Added menu items for inserting custom code templates in buffers.
	  The items are:

	  Files->JDE New->Custom

	  JDE->Generate->Custom

	* /pack/anoncvs/jde/lisp/jde-gen.el:
	* Added the capability to define your own custom autocode templates.
	  The facility consists of the following items:

	  - jde-gen-code-templates

	    Defines a list of templates for code inserted at point. The
	    list by default contains the templates defined by the JDE.
	    You can define your own templates and add them to the list,
	    using the Emacs customization feature. See tempo.el for
	    information on creating templates.

	  - jde-gen-buffer-templates

	    Defines a list of templates for code to be inserted in a
	    newly created Java buffer.

	  - jde-gen-code (JDE->Generate->Custom)

	    This command inserts a specified code template at point.

	  - jde-gen-buffer (Files->JDE New->Custom)

	    This command creates the specified buffer and inserts
	    a specified template at the beginning of the buffer.

1998-04-08  kinnucan  <kinnucan@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde.el:
	* Fixed jde-save-variables and jde-set-variables so that they
	  operate more like the corresponding custom functions. This
	  was necessary to support project-by-project customization
	  of autocode templates.

	* /pack/anoncvs/jde/lisp/jde-gen.el:
	* Provided each template variable with a set function that regenerates
	  the corresponding template command whenever the template is changed.

1998-04-06  kinnucan  <kinnucan@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde.el:
	* Removed extraneous New option from JDE menu.

	* /pack/anoncvs/jde/lisp/jde-gen.el:
	* Added jde-gen-class-buffer and jde-gen-console-buffer functions.

	* /pack/anoncvs/jde/lisp/jde.el:
	* Added JDE New submenu to the Emacs Files menu. The new submenu has
	  commands for creating buffers with skeleton code for the following
	  types of classes:

	  - Generic class
	  - Main class for a console application

1998-04-01  kinnucan  <kinnucan@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-gen.el: New file.

	* /pack/anoncvs/jde/lisp/jde.el: * Added code generation for

	  - new Java source file
	  - Get/set variable method pair
	  - Action listener
	  - Window listener
	  - Mouse listener

1998-03-30  kinnucan  <kinnucan@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde.el:
	* Fixed separator code in JDE menu definition.

	  Thanks to Kai Grossjohann <grossjohann@ls6.cs.uni-dortmund.de>
	  for providing this fix.

1998-03-27  kinnucan  <kinnucan@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/makefile.sample: New file.

	* /pack/anoncvs/jde/lisp/jde.el: Added the jde-build command.

	* /pack/anoncvs/jde/lisp/jde-make.el: New file.

	* /pack/anoncvs/jde/lisp/jde-db.el:
	Fixed typo in the code that displays the jdb menu on XEmacs.

	* /pack/anoncvs/jde/lisp/jde-db.el:
	Modified jde-db-search-src-dirs to take current package as an
	argument rather than use a global variable. This allows
	it to be used by jde-java-build function.

1998-03-23  kinnucan  <kinnucan@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde.el:
	* Set up to activate project tracking when the first Java buffer
	  is loaded and deactivate project tracking when the last
	  Java buffer is closed.

	* Removed update buffer command as it is no longer necessary
	  because all customization variables are now global.

	* Changed save project command to prompt for a project name,
	  which is required for automatic project tracking.

1998-03-22  kinnucan  <kinnucan@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde.el:
	* Changed the way the JDE maintains project settings. Previously
	  most JDE customization variables were buffer local. This was basically
	  a way of letting Emacs manage project-dependent customization
	  settings. However, this approach conflicts with the new (as of
	  Emacs 20) Emacs customization feature. To avoid the conflict,
	  the JDE now manages the task of keeping buffers up-to-date.
	  In particular, all variables are global to permit easy
	  customization. Whenever a user switches from one Java buffer to
	  another, the JDE checks to see if the "to" buffer is part of the
	  same project as the "from" buffer. If not the JDE loads the
	  project file for the "to" buffer, thus updating the customization
	  variables to the specific JDE settings for the "to" buffer's project.

	* Fixed bug that prevented jde-compile-option-command-line-args
	  from working correctly.

1998-03-19  kinnucan  <kinnucan@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde.el:
	- Fixed bug that prevented JDE->Options->Debug from working.

	- Updated version number.

1998-03-18  kinnucan  <kinnucan@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-db.el:
	Changed jde-db-marker-regexp to account for inner classes.
	Thanks to Andreas Rasmusson <Andreas.Rasmusson@sics.se> for
	providing this fix.

1998-03-05  kinnucan  <kinnucan@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde.el:
	Made jde-db-source-directories non-global again to
	eliminate the problem of project files changing
	its value.

	* /pack/anoncvs/jde/lisp/jde.el: Updated version number to 1.9.5

1998-03-04  kinnucan  <kinnucan@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-db.el:
	Added test for jde-run-application-class = "" to jde-db

	* /pack/anoncvs/jde/lisp/jde-run.el: Fixed bug in jde-run.

1998-03-03  kinnucan  <kinnucan@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde.el:
	- Fixed bug in imenu regexp for speedbar that falsely taggex
	  method-like constructs in comments

	- Added file: prefix to path to User's Guide.

	- Fixed bug that caused setting jde-compile-option-vm-args to wipe
	  out all other compile options.

1998-02-27  kinnucan  <kinnucan@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-db.el: Changed copyright to Paul Kinnucan.
	Have not yet assigned rights to FSF.

	* /pack/anoncvs/jde/lisp/jde-db.el:
	Added support for Emacs customization feature.

	* /pack/anoncvs/jde/lisp/jde-run.el:
	* Added support for Emacs customization feature.

1998-02-25  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde.el:
	Added jde-show-help command. This command displays the
	JDE User's Guide in a browser.

1998-02-23  kinnucan  <kinnucan@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde.el:
	* Reorganized JDE menu. Eliminated the Compile Options item
	  and added the following items:

	  JDE->Options->Compile       Shows Compile Options buffer
	  JDE->Options->Run           Shows Run Options Buffer
	  JDE->Options->Debug         Shows Debug Options Buffer
	  JDE->Options->Project       Show Project Options Buffer
	  JDE->Options->Update Buffer Updates buffer to global options values

	* Added the jde-save-project command.

	  This command saves the values of all local JDE options (i.e.,
	  customization) variables in the project file. This provides
	  an easy way of creating a project file for a project.
	  Simply set the desired options, using the JDE Options menu.
	  Then, save the results in the project file.

1998-02-19  kinnucan  <kinnucan@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jtags.csh: Updated to Bourne version.

	* /pack/anoncvs/jde/lisp/jtags: More edits to the comments.

	* /pack/anoncvs/jde/lisp/jtags: Cleaned up the comments.

	* /pack/anoncvs/jde/lisp/jtags:
	"Kent S. Gordon" <kgor@inetspace.com> contributed the following
	improvements

	 - Change some .* expressions to [^.*] to prevent matches
	   in source file comments and functions.

	 - Removed . from class_type since declarations should never
	   be for another package.

	Thanks Kent.

1998-02-18  kinnucan  <kinnucan@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde.el: Corrected some doc strings.

	* /pack/anoncvs/jde/lisp/jde.el:
	* Added customization support by redefining all customization
	  variables, using defcustom.

	* Defined two customization groups: jde and jde-compile-options.

	* Replaced the jde-classpath variable with jde-global-classpath.

	* Added customization option jde-quote-classpath.

	* Added variable jde-project-name.

	* Replace variable jde-compile-options with
	  jde-compile-option-command-line-args.

	* Added the following compile option variables:

	  jde-compile-option-classpath
	  jde-compile-option-directory
	  jde-compile-option-deprecation
	  jde-compile-option-debug
	  jde-compile-option-nodebug
	  jde-compile-option-optimize
	  jde-compile-option-optimize-interclass
	  jde-compile-option-option-depend
	  jde-compile-option-vm-args
	  jde-compile-option-verbose
	  jde-compile-option-nowarn
	  jde-compile-option-encoding

	  All of these variables are made buffer local.

	* Replaced jde-set-classpath function with
	  jde-set-global-classpaht function.

	* Added the following functions

	  jde-path-string-to-list
	  jde-build-classpath-arg
	  jde-build-compile-vm-args
	  jde-get-compile-options

1998-02-17  kinnucan  <kinnucan@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-db.el:
	Fixed bug in jde-deb-set-source-paths that caused the last
	directory to not be normalized (i.e., slash appended).

1998-02-13  kinnucan  <kinnucan@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde.el:
	Fixed so that the JDE menu appears in the XEmacs menu bar
	only when a Java buffer is active.

	* /pack/anoncvs/jde/lisp/jde.el:
	Added jde-use-font-lock variable. If t (the default), jde turns on
	font-locking for java files.

1998-02-12  kinnucan  <kinnucan@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde.el:
	Advised imenu-default-create-index-function to set case-fold-search
	to nil (case-sensitive) when creating indexes.

	* /pack/anoncvs/jde/lisp/jde.el:
	Fixed some bugs in imenu regular expressions, including lack of a re
	for indexing primitive type variables. Thanks to
	David J. Biesack <sasdjb@unx.sas.com> for spotting some bugs.

	* /pack/anoncvs/jde/lisp/jde.el:
	Added fix to bug that prevented fontlocking on Emacs 20.2

	* /pack/anoncvs/jde/lisp/jde-db.el:
	Changed the jde-db-search-src-dirs to search the source directory list from
	front to back instead of back to front. The former search order did not allow newer versions of the same class to shadow older versions. Thanks to "David J. Biesack" <sasdjb@unx.sas.com> for supplying this fix.

	* /pack/anoncvs/jde/lisp/jde-db.el:
	Fixed bug in jde-db-marker-filter that sometimes prevented the JDE from
	loading the correct source file. Thanks to David J. Biesack
	<sasdjb@unx.sas.com> for supplying the fix.

1998-01-29  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde.el: Fixed typo.

	* /pack/anoncvs/jde/lisp/jde.el:
	Made various changes to ensure compatibility with XEmacs.

1998-01-20  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde.el:
	Use browse-url instead of browse-url-of-file.

	* /pack/anoncvs/jde/lisp/jde.el: Require cc-mode.

1998-01-20  kinnucan  <kinnucan@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde.el:
	Added code to set up andersl font locking. Necessary because
	andersl assumes that the buffer is in java-mode.

1998-01-19  kinnucan  <kinnucan@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde.el:
	* Made JDE into a major mode (jde-mode) derived from java-mode.
	* The JDE now uses the browse-url package to display JDK documentation.
	* Deleted the variable jde-hook (it is replaced by jde-mode-hook).
	* Deleted the variables jde-web-browser and jde-doc-dir as they duplicate
	  functionality provided by browse-url.

	* /pack/anoncvs/jde/lisp/jde.el: *** empty log message ***

1997-12-03  kinnucan  <kinnucan@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jtags:
	Divided tagging process into three passes
	through the source hierarchy to avoid overflowing
	the xargs bugger.

1997-10-30  kinnucan  <kinnucan@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-db.el:
	Made configuration variables settable.

	* /pack/anoncvs/jde/lisp/jde.el:
	1) Made configuration variables settable.
	2) Made jde-db-source-directories buffer local.

1997-10-26  kinnucan  <kinnucan@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-run.el:
	Fixed bug where jde-run was incorrectly parsing command line arguments
	containing an equal (=) sign.

	* /pack/anoncvs/jde/lisp/jde-db.el:
	Applied Derek Young's patch to cause jde to qualify class names
	when setting a breakpoint.

1997-10-20  kinnucan  <kinnucan@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-db.el:
	Removed reference to deleted function jde-db-massage-args

	* /pack/anoncvs/jde/lisp/jde.el:
	Now requires andersl-java-font-lock only for Emacs versions < 20.

1997-10-18  kinnucan  <kinnucan@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde.el:
	1. Changed key bindings to use the two prefix keys C-c C-v.

	2. Fixed infinite recursion bug in jde-find-project-file.

1997-10-11  kinnucan  <kinnucan@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-db.el:
	Fixed bug in jde-db-search-src-dirs discovered by Jonathan Payne.

1997-10-07  kinnucan  <kinnucan@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde.el: Required cl.

1997-10-06  kinnucan  <kinnucan@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-db.el:
	Fixed bugs in jde-db-set-debugger command.

	* /pack/anoncvs/jde/lisp/jde.el:
	Removed last usage of obsolete bashify function.

	* /pack/anoncvs/jde/lisp/jtags:
	Replaced existing regular expressions with a new set
	based on those contained in andersl-java-font-lock.el

	* /pack/anoncvs/jde/lisp/jde.el:
	Added jde-compiler variable and associated set command. Lets you
	configure the JDE to use the compiler of your choice on a buffer
	by buffer basis.

1997-10-05  kinnucan  <kinnucan@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-run.el:
	Unquoted classpath as quotes are only necessary for compilation (because
	the JDE uses a shell to run the compiler).

	* /pack/anoncvs/jde/lisp/jde-db.el:
	1. Added the variables jde-db-debugger and jde-db-debugger-is-executable
	   and the associated setter function jde-db-set-debugger. These allow
	   you to specify a custom debugger for the JDE>

	2. Added jde-db-args and jde-db-app-args and the associated setter
	   functions. These allow you to specify debugger and application
	   command line arguments.

	* /pack/anoncvs/jde/lisp/jde-run.el:
	Added the function jde-run-set-app-args, which allows you to
	specify command line arguments for the application you are running.

	Also, changed the value of jde-run-args from a string to a list.

	* /pack/anoncvs/jde/lisp/jde-db.el:
	Fixed bug in print object menu item.

1997-10-04  kinnucan  <kinnucan@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde.el: Added key bindings for menu commands.

1997-10-03  kinnucan  <kinnucan@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde.el: 1. Revamped imenu regular expressions.
	2. Stopped quoting compile command arguments for bash under Win32.

1997-10-01  kinnucan  <kinnucan@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde.el:
	Changed name of JDE menu from "Java" to "JDE" to avoid conflict
	with cc-mode 5.18 menu, which is named "Java".

1997-09-16  kinnucan  <kinnucan@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-run.el:
	Changed w32-start-process-show-window to win32-start-process-show-window

1997-09-04  kinnucan  <kinnucan@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-run.el:
	Added jde-run-applet command, which runs a Java applet.

	* /pack/anoncvs/jde/lisp/jde.el: Updated version number.

	* /pack/anoncvs/jde/lisp/jde.el:
	1. Made jde configuration variables buffer local to support automatic
	   loading of project files.

	2. Added Run Applet command to the jde menu.

1997-08-29  kinnucan  <kinnucan@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-run.el: Fixed bug in save-w32-show-window.

1997-08-28  kinnucan  <kinnucan@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde.el:
	Eliminated single quotes around path in jde-browse-jdk-doc.

1997-08-26  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-db.el: Fixed bug in check-source-path.

1997-08-26  kinnucan  <kinnucan@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/readme.txt: Updated for JDE 1.8 release.

	* /pack/anoncvs/jde/lisp/jtags: Added revision number.

	* /pack/anoncvs/jde/lisp/jtags.csh:
	1. Exclude RCS (version control) directories from tags search.
	2. Added pattern for recognizing abstract classes.

	* /pack/anoncvs/jde/lisp/jtags:
	1. Exclude RCS directories from tags search.
	2. Added regular expression for abstract classes.

	* /pack/anoncvs/jde/lisp/jde-db.el:
	Tweaked JDE Version number for JDE 1.8 release.

	* /pack/anoncvs/jde/lisp/jde.el:
	Added jde-set-classpath command, which lets you set the classpath for
	compiling and running applications.

	* /pack/anoncvs/jde/lisp/jde-run.el: Tweaked version number.

	* /pack/anoncvs/jde/lisp/jde-run.el: Deleted superfluous comments.

	* /pack/anoncvs/jde/lisp/jde-run.el:
	1. Ported jde-run onto comint mode.

	   This allows you to interact with a Java application in the
	   run buffer, if the application accepts command line input.
	   You can use the comint history features to facilitate interaction
	   with such an application.

	2. Added the jde-run-set-java-vm and jde-run-set-java-vm-w
	   commands, which let you specify the Java interpreter to use to
	   run on non-Windows and Windows platforms, respectively.

	   Note that you must use javaw on Windows platforms to avoid
	   opening a superfluous command shell window.

	3. Added the jde-run-set-args command and associated jde-run-args
	   variable, which let you specify Java interpreter options via
	   command-line arguments.

	   jde-run passes the value of jde-classpath (defined in jde.el
	   and set via the jde-set-classpath command) and jde-run-args
	   to the Java interpreter.

	  This means that you can use a common classpath definition for
	  compiling and running applications, while passing other
	  runtime arguments via jde-run-set-args.

1997-07-05  kinnucan  <kinnucan@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jtags.csh, /pack/anoncvs/jde/lisp/jtags, /pack/anoncvs/jde/lisp/readme.txt:
	New file.

	* /pack/anoncvs/jde/lisp/jde-run.el:
	Modified jde-run command to derive the class name from the name of the file in
	the current buffer rather than the buffer name. This avoids an incorrect derivation
	when more than one buffer is open on the same source file.

	* /pack/anoncvs/jde/lisp/jde-db.el:
	Updated make-jdb-command to run either the class previously specifed with
	the jde-run-set-app command or the class corresponding to the code in the
	current buffer.

1997-06-29  kinnucan  <kinnucan@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-run.el:
	1. Added jde-run-set-app function, which lets you specify the application
	   class to run.

	2. Updated jde-run to run either the app specified by jde-run-set-app or
	   the class whose source is in the current buffer. In the latter case,
	   jde-run extracts the package of the app class from the source buffer.

1997-06-18  paulk@PAULK_HOMEPC  <paulk@PAULK_HOMEPC>

	* /pack/anoncvs/jde/lisp/jde-db.el:
	Added error-checking to jde-db-set-source-paths function. Now checks for
	existence of specified directories and appends a terminal slash to paths
	that lack it.

	* /pack/anoncvs/jde/lisp/jde.el, /pack/anoncvs/jde/lisp/jde-run.el, /pack/anoncvs/jde/lisp/jde-db.el:
	New file.

